package com.casic.missiles.modular.alarm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.modular.system.model.SysDict;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 字典表 服务类
 * </p>
 *
 * @author casic123
 * @since 2019-05-17
 */
public interface ISysDictService extends IService<SysDict> {
    List<Map<String,Object>> getTypeViaName(String typeName);
    List<Map<String,Object>> getTypeViaCode(String code);
    List<Map<String,Object>> getAlarmContent(String alarmType,String devType);
    List<Map<String,Object>> testPage(Page<Map<String,Object>> page);
    String getDBtime();
//    String getUsernameById(long id);

}
